summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--packages/initscripts/initscripts-1.0/openslug/banner0
-rw-r--r--packages/initscripts/initscripts-1.0/openslug/devices.patch52
-rw-r--r--packages/initscripts/initscripts-openslug_1.0.bb3
-rw-r--r--packages/openslug-init/openslug-init-0.10/turnup23
-rw-r--r--packages/openslug-init/openslug-init_0.10.bb2
5 files changed, 65 insertions, 15 deletions
diff --git a/packages/initscripts/initscripts-1.0/openslug/banner b/packages/initscripts/initscripts-1.0/openslug/banner
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/initscripts/initscripts-1.0/openslug/banner
diff --git a/packages/initscripts/initscripts-1.0/openslug/devices.patch b/packages/initscripts/initscripts-1.0/openslug/devices.patch
index e69de29bb2..26b1841d5b 100644
--- a/packages/initscripts/initscripts-1.0/openslug/devices.patch
+++ b/packages/initscripts/initscripts-1.0/openslug/devices.patch
@@ -0,0 +1,52 @@
+#
+# Patch to allow /dev to reside permanently in the file
+# system.
+#
+--- old/devices 2005-05-28 21:51:39.012078699 -0700
++++ new/devices 2005-06-12 00:16:29.222686303 -0700
+@@ -6,7 +6,7 @@
+ . /etc/default/rcS
+
+ # exit without doing anything if udev is active
+-if test -e /dev/.udevdb; then
++if test -e /dev/.udevdb -o -e /dev/.permanent; then
+ exit 0
+ fi
+
+@@ -37,12 +37,20 @@
+ mknod /dev/ppp c 108 0
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ else
+- if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
+- mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
+- if test $? -ne 0; then
+- if test "$VERBOSE" != "no"; then echo "failed"; fi
++ if test -e /dev/.noram
++ then
++ # There should be no files, any files will damage the
++ # makedevs script below.
++ rm $(find /dev -type f -print)
++ :>/dev/.noram
+ else
+- if test "$VERBOSE" != "no"; then echo "done"; fi
++ if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
++ mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
++ if test $? -ne 0; then
++ if test "$VERBOSE" != "no"; then echo "failed"; fi
++ else
++ if test "$VERBOSE" != "no"; then echo "done"; fi
++ fi
+ fi
+ if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
+ cd /
+@@ -60,6 +68,10 @@
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
++ if test -e /dev/.noram
++ then
++ :>/dev/.permanent
++ fi
+ fi
+ fi
+
diff --git a/packages/initscripts/initscripts-openslug_1.0.bb b/packages/initscripts/initscripts-openslug_1.0.bb
index aaff5bc2c5..ba8d548b6e 100644
--- a/packages/initscripts/initscripts-openslug_1.0.bb
+++ b/packages/initscripts/initscripts-openslug_1.0.bb
@@ -9,6 +9,9 @@ include initscripts_${PV}.bb
MAINTAINER = "John Bowler <jbowler@acm.org>"
RCONFLICTS = "initscripts"
# All other standard definitions inherited from initscripts
+# Except the PR which is hacked here. The format used is
+# a suffix
+PR := "${PR}.1"
FILESPATH = "${@base_set_filespath([ '${FILE_DIRNAME}/${P}', '${FILE_DIRNAME}/initscripts-${PV}', '${FILE_DIRNAME}/files', '${FILE_DIRNAME}' ], d)}"
diff --git a/packages/openslug-init/openslug-init-0.10/turnup b/packages/openslug-init/openslug-init-0.10/turnup
index a33a58ad02..c6d422a2c7 100644
--- a/packages/openslug-init/openslug-init-0.10/turnup
+++ b/packages/openslug-init/openslug-init-0.10/turnup
@@ -118,26 +118,21 @@ copy_rootfs() {
#
# setup_dev new device_table
-# Populates the /dev directory, removes the ramfs mount of /dev by
-# removing the links to the devices startup file.
+# In flash file systems /dev is in ramfs, in disk systems /dev
+# can be populated permanently. This is done by creating a
+# single entry '.noram' in /dev - the devices init script will
+# then populate the directory. The passed in device_table is
+# not currently used.
setup_dev() {
test -n "$1" -a -d "$1"/dev -a -r "$2" || {
echo "turnup: setup_dev($1,$2): expected a directory and a file" >&2
return 1
}
# at present the device_table is not used because it is incomplete,
- # /etc/init.d/devices adds extra stuff. So this script copies the
- # existing /dev. FIXME.
- echo "turnup: copying dev file system" >&2
- ( cd /
- find dev -print0 | cpio -p -0 -d -m -u "$1"
- ) || {
- echo "turnup: rootfs: cpio /dev $1 failed" >&2
- return 1
- }
- echo "done" >&2
- # now prevent this being done each time
- :>"$1"/dev/.permanent
+ # /etc/init.d/devices adds extra stuff, it seems fine to leave
+ # things this way
+ echo "turnup: initialising dev file system" >&2
+ :>"$1"/dev/.noram
return 0
}
diff --git a/packages/openslug-init/openslug-init_0.10.bb b/packages/openslug-init/openslug-init_0.10.bb
index 7b366b2173..ee619f0f31 100644
--- a/packages/openslug-init/openslug-init_0.10.bb
+++ b/packages/openslug-init/openslug-init_0.10.bb
@@ -3,7 +3,7 @@ SECTION = "console/network"
LICENSE = "GPL"
DEPENDS = "base-files devio"
RDEPENDS = "busybox devio"
-PR = "r29"
+PR = "r30"
SRC_URI = "file://linuxrc \
file://boot/flash \